--- m4/ax_python.m4
+++ m4/ax_python.m4
@@ -58,13 +58,14 @@
 AC_DEFUN([AX_PYTHON],
 [AC_MSG_CHECKING(for python build information)
 AC_MSG_RESULT([])
-for python in python2.6 python2.5 python2.4 python2.3 python2.2 python2.1 python; do
+for python in python python2.6 python2.5 python2.4 python2.3 python2.2 python2.1; do
 AC_CHECK_PROGS(PYTHON_BIN, [$python])
 ax_python_bin=$PYTHON_BIN
 if test x$ax_python_bin != x; then
-   AC_CHECK_LIB($ax_python_bin, main, ax_python_lib=$ax_python_bin, ax_python_lib=no)
-   AC_CHECK_HEADER([$ax_python_bin/Python.h],
-   [[ax_python_header=`locate $ax_python_bin/Python.h | sed -e s,/Python.h,,`]],
+   [python_version=`$ax_python_bin -c 'import sys; print(".".join(str(x) for x in sys.version_info[:2]))'`]
+   AC_CHECK_LIB(python$python_version, main, ax_python_lib=python$python_version, ax_python_lib=no)
+   AC_CHECK_HEADER([python$python_version/Python.h],
+   [[ax_python_header=`locate python$python_version/Python.h | sed -e s,/Python.h,,`]],
    ax_python_header=no)
    if test $ax_python_lib != no; then
      if test $ax_python_header != no; then
